#pragma once
#include <SDL2/SDL_scancode.h>
#include <stdbool.h>

enum {
	INPUT_MAX_ACTIONS = 16,
	INPUT_MAX_BINDS = 4
};

void input_deinit(void);
void input_new(const char *action);
void input_clear(const char *action);
void input_bind_scancode(const char *action, SDL_Scancode sc);
bool input_down(const char *action);
bool input_up(const char *action);
bool input_pressed(const char *action);
bool input_released(const char *action);
